package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="PapImunisasiDetail_T")
public class PapImunisasiDetail extends BaseTransaction{

	@JsonBackReference
	@ManyToOne
	@JoinColumn(name = "ObjectPapRiwayatImunisasiFk")
	private PapRiwayatImunisasi papRiwayatImunisasi;
	
	@Column(name = "ObjectPapRiwayatImunisasiFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String papRiwayatImunisasiId;

	@ManyToOne
	@JoinColumn(name = "ObjectImunisasiFk")
	@NotNull(message = "Imunisasi tidak boleh kosong")
	private Imunisasi imunisasi;
	
	@Column(name = "ObjectImunisasiFk", insertable = false, updatable = false, nullable = false)
	private Integer imunisasiId;

	@NotNull(message = "Is Nilai tidak boleh kosong")
	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public PapRiwayatImunisasi getPapRiwayatImunisasi() {
		return papRiwayatImunisasi;
	}

	public void setPapRiwayatImunisasi(PapRiwayatImunisasi papRiwayatImunisasi) {
		this.papRiwayatImunisasi = papRiwayatImunisasi;
	}

	public Imunisasi getImunisasi() {
		return imunisasi;
	}

	public void setImunisasi(Imunisasi imunisasi) {
		this.imunisasi = imunisasi;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}
	
}
